#

include(`dict.h')
include(`KERcalls.h')

/*
 *       SCCS File Type - Emulator Source File
 *
 *       What identification string
 */
static char *_S_K24	"@(#)EM_K24.c	3.1";
	/****************************************************************/
	/*
	 *      K_set_file_status
	 */


/*
 *      K_set_file_status (
 *          1   fSeid,    : seid           : long   (* file SEID   *)
 *          2   stCap,    : openDescriptor : int    (* subtype cap *)
 *          3  &status    : file_stat_block: struct (* new status  *)
 *              )
 */

K_set_file_status( PfSeid, PstCap, PstatusP )
	seid            PfSeid;
	openDescriptor  PstCap;
	file_stat_block *PstatusP;
{

	struct  {       /* Ksetfs_param */
			seid            f_seid; /* const */
			openDescriptor  stCap;  /* const */
			file_stat_block status; /* const */
		}pb;

	pb.f_seid = PfSeid;
	pb.stCap  = PstCap;

	st_copy(PstatusP, &pb.status, sizeof(file_stat_block) );


	return( EMT24(&pb) );
}

